#ifndef INSTRUCTORSWIDGET_H
#define INSTRUCTORSWIDGET_H

#include "instructorsview.h"

namespace Ui {
class ViewerInstructors;
}

//Виджет только для просмотра БД Инструкторов

class ViewerInstructors : public InstructorsView
{
    Q_OBJECT

public:
    explicit ViewerInstructors(InterfaceDataBaseLMS* db, QWidget *parent = nullptr);
    ~ViewerInstructors();

protected:
    void changeEvent(QEvent * event) override;

Q_SIGNALS:
    //сигнал о блокировке авторизации
    void signal_BlockAutorization(bool block);

private Q_SLOTS:
    void on_btnEditorInstructors_clicked();

private:
    void updateButtons() override;

private:
    Ui::ViewerInstructors *ui;
};

#endif // INSTRUCTORSWIDGET_H
